ur_rna.RNAstructureUI.drawing.proxy

## Class StructureBackend

- java.lang.Object
- - ur_rna.RNAstructureUI.drawing.proxy.StructureBackend

-     public class StructureBackend
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected boolean` | `swigCMemOwn`
    `private long` | `swigCPtr`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `StructureBackend()`
    `protected` | `StructureBackend(long cPtr, boolean cMemoryOwn)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `addAnnotationProbability(java.lang.String file)`
    `boolean` | `addAnnotationSHAPE(java.lang.String file)`
    `void` | `delete()`
    `protected void` | `finalize()`
    `void` | `flip()`
    `protected static long` | `getCPtr(StructureBackend obj)`
    `int` | `getStructureCount()`
    `java.lang.String` | `getStructureData(int number)`
    `java.lang.String` | `readStructureData(java.lang.String file)`
    `void` | `removeAnnotation()`
    `void` | `setBackboneStyle(int style)`
    `void` | `setFlipped(boolean flipped)`
    `void` | `setNucleotidesCircled(boolean circled)`
    `java.lang.String` | `writeDotBracketFile(java.lang.String inFile, java.lang.String outFile)`
    `java.lang.String` | `writeHelixFile(java.lang.String inFile, java.lang.String outFile, int number)`
    `void` | `writePostscriptFile(java.lang.String outFile, int number)`
    `void` | `writeSVGFile(java.lang.String outFile, int number)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### swigCMemOwn

          protected transient boolean swigCMemOwn

    - #### swigCPtr

          private transient long swigCPtr

  - ### Constructor Detail

    - #### StructureBackend

          public StructureBackend()

    - #### StructureBackend

          protected StructureBackend(long cPtr,
                                     boolean cMemoryOwn)

  - ### Method Detail

    - #### addAnnotationProbability

          public boolean addAnnotationProbability(java.lang.String file)

    - #### addAnnotationSHAPE

          public boolean addAnnotationSHAPE(java.lang.String file)

    - #### delete

          public void delete()

    - #### finalize

          protected void finalize()

      Overrides:
        `finalize` in class `java.lang.Object`

    - #### flip

          public void flip()

    - #### getCPtr

          protected static long getCPtr(StructureBackend obj)

    - #### getStructureCount

          public int getStructureCount()

    - #### getStructureData

          public java.lang.String getStructureData(int number)

    - #### readStructureData

          public java.lang.String readStructureData(java.lang.String file)

    - #### removeAnnotation

          public void removeAnnotation()

    - #### setBackboneStyle

          public void setBackboneStyle(int style)

    - #### setFlipped

          public void setFlipped(boolean flipped)

    - #### setNucleotidesCircled

          public void setNucleotidesCircled(boolean circled)

    - #### writeDotBracketFile

          public java.lang.String writeDotBracketFile(java.lang.String inFile,
                                                      java.lang.String outFile)

    - #### writeHelixFile

          public java.lang.String writeHelixFile(java.lang.String inFile,
                                                 java.lang.String outFile,
                                                 int number)

    - #### writePostscriptFile

          public void writePostscriptFile(java.lang.String outFile,
                                          int number)

    - #### writeSVGFile

          public void writeSVGFile(java.lang.String outFile,
                                   int number)